<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZProfilesOptions Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d75/class_day_z_profiles_options.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZProfilesOptions Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a3a030930f33a83cc4f37882ee702974b"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d8/dc8/_day_z_game_8c.html#ac8d9fd866d50e3a07ac7d232b73165c5">DayZGame</a> m_Game void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d75/class_day_z_profiles_options.html#a3a030930f33a83cc4f37882ee702974b">RegisterProfileOption</a> (<a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a> option, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> profileOptionName, <a class="el" href="../../d9/db9/classbool.html">bool</a> def=true)</td></tr>
<tr class="separator:a3a030930f33a83cc4f37882ee702974b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b20bf974b2ef656e0a176893ccbfe80"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d75/class_day_z_profiles_options.html#a7b20bf974b2ef656e0a176893ccbfe80">ResetOptions</a> ()</td></tr>
<tr class="separator:a7b20bf974b2ef656e0a176893ccbfe80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66477a113324e8add282d8d8b7238fdd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d75/class_day_z_profiles_options.html#a66477a113324e8add282d8d8b7238fdd">SetProfileOption</a> (<a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a> option, <a class="el" href="../../d9/db9/classbool.html">bool</a> value)</td></tr>
<tr class="separator:a66477a113324e8add282d8d8b7238fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd64422b3710767bf5ed39f9b3a6c1c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d75/class_day_z_profiles_options.html#acd64422b3710767bf5ed39f9b3a6c1c1">GetProfileOption</a> (<a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a> option)</td></tr>
<tr class="separator:acd64422b3710767bf5ed39f9b3a6c1c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb5178e8b48e2d0dd0c4b4104a710cfe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d75/class_day_z_profiles_options.html#adb5178e8b48e2d0dd0c4b4104a710cfe">GetProfileOptionDefault</a> (<a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a> option)</td></tr>
<tr class="separator:adb5178e8b48e2d0dd0c4b4104a710cfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9779289731e6c63769e2a223be893ce"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>, ref <a class="el" href="../../d8/dc8/_day_z_game_8c.html#ae4b403a0299b417461afe6f692c943e7">DayZProfilesOption</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d75/class_day_z_profiles_options.html#af9779289731e6c63769e2a223be893ce">GetProfileOptionMap</a> ()</td></tr>
<tr class="separator:af9779289731e6c63769e2a223be893ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a673ad01ff2cc5d25d720b1dd900f205f"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>, ref <a class="el" href="../../d8/dc8/_day_z_game_8c.html#ae4b403a0299b417461afe6f692c943e7">DayZProfilesOption</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d75/class_day_z_profiles_options.html#a673ad01ff2cc5d25d720b1dd900f205f">m_DayZProfilesOptions</a></td></tr>
<tr class="separator:a673ad01ff2cc5d25d720b1dd900f205f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00592">592</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="acd64422b3710767bf5ed39f9b3a6c1c1" name="acd64422b3710767bf5ed39f9b3a6c1c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd64422b3710767bf5ed39f9b3a6c1c1">&#9670;&#160;</a></span>GetProfileOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZProfilesOptions::GetProfileOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>&#160;</td>
          <td class="paramname"><em>option</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >returns saved profile option</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00641">641</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>

</div>
</div>
<a id="adb5178e8b48e2d0dd0c4b4104a710cfe" name="adb5178e8b48e2d0dd0c4b4104a710cfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb5178e8b48e2d0dd0c4b4104a710cfe">&#9670;&#160;</a></span>GetProfileOptionDefault()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZProfilesOptions::GetProfileOptionDefault </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>&#160;</td>
          <td class="paramname"><em>option</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >returns default value</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00654">654</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>

</div>
</div>
<a id="af9779289731e6c63769e2a223be893ce" name="af9779289731e6c63769e2a223be893ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9779289731e6c63769e2a223be893ce">&#9670;&#160;</a></span>GetProfileOptionMap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>, ref <a class="el" href="../../d8/dc8/_day_z_game_8c.html#ae4b403a0299b417461afe6f692c943e7">DayZProfilesOption</a> &gt; DayZProfilesOptions::GetProfileOptionMap </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >returns whole options map</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00668">668</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>

</div>
</div>
<a id="a3a030930f33a83cc4f37882ee702974b" name="a3a030930f33a83cc4f37882ee702974b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a030930f33a83cc4f37882ee702974b">&#9670;&#160;</a></span>RegisterProfileOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d8/dc8/_day_z_game_8c.html#ac8d9fd866d50e3a07ac7d232b73165c5">DayZGame</a> m_Game void DayZProfilesOptions::RegisterProfileOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>profileOptionName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>def</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >init of DayZProfilesOption - profileOptionName, value from Profiles files, or use default value</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00597">597</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>

</div>
</div>
<a id="a7b20bf974b2ef656e0a176893ccbfe80" name="a7b20bf974b2ef656e0a176893ccbfe80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b20bf974b2ef656e0a176893ccbfe80">&#9670;&#160;</a></span>ResetOptions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZProfilesOptions::ResetOptions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00614">614</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>

</div>
</div>
<a id="a66477a113324e8add282d8d8b7238fdd" name="a66477a113324e8add282d8d8b7238fdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66477a113324e8add282d8d8b7238fdd">&#9670;&#160;</a></span>SetProfileOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZProfilesOptions::SetProfileOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >saves value to mem and to config</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00627">627</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a673ad01ff2cc5d25d720b1dd900f205f" name="a673ad01ff2cc5d25d720b1dd900f205f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a673ad01ff2cc5d25d720b1dd900f205f">&#9670;&#160;</a></span>m_DayZProfilesOptions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d0/d96/_e_day_z_profiles_options_8c.html#aa1673d253e0e003655814e545424dd9f">EDayZProfilesOptions</a>, ref <a class="el" href="../../d8/dc8/_day_z_game_8c.html#ae4b403a0299b417461afe6f692c943e7">DayZProfilesOption</a>&gt; DayZProfilesOptions::m_DayZProfilesOptions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html#l00594">594</a> of file <a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d8/dc8/_day_z_game_8c_source.html">DayZGame.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d75/class_day_z_profiles_options.html">DayZProfilesOptions</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
